package com.ruoyi.oa.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.oa.mapper.CmcPartnerMapper;
import com.ruoyi.oa.domain.CmcPartner;
import com.ruoyi.oa.service.ICmcPartnerService;

/**
 * cmc合作单位Service业务层处理
 * 
 * @author cmc
 * @date 2024-04-18
 */
@Service
public class CmcPartnerServiceImpl implements ICmcPartnerService 
{
    @Autowired
    private CmcPartnerMapper cmcPartnerMapper;

    /**
     * 查询cmc合作单位
     * 
     * @param partnerId cmc合作单位主键
     * @return cmc合作单位
     */
    @Override
    public CmcPartner selectCmcPartnerByPartnerId(String partnerId)
    {
        return cmcPartnerMapper.selectCmcPartnerByPartnerId(partnerId);
    }

    /**
     * 查询cmc合作单位列表
     * 
     * @param cmcPartner cmc合作单位
     * @return cmc合作单位
     */
    @Override
    public List<CmcPartner> selectCmcPartnerList(CmcPartner cmcPartner)
    {
        return cmcPartnerMapper.selectCmcPartnerList(cmcPartner);
    }

    /**
     * 新增cmc合作单位
     * 
     * @param cmcPartner cmc合作单位
     * @return 结果
     */
    @Override
    public int insertCmcPartner(CmcPartner cmcPartner)
    {
        return cmcPartnerMapper.insertCmcPartner(cmcPartner);
    }

    /**
     * 修改cmc合作单位
     * 
     * @param cmcPartner cmc合作单位
     * @return 结果
     */
    @Override
    public int updateCmcPartner(CmcPartner cmcPartner)
    {
        return cmcPartnerMapper.updateCmcPartner(cmcPartner);
    }

    /**
     * 批量删除cmc合作单位
     * 
     * @param partnerIds 需要删除的cmc合作单位主键
     * @return 结果
     */
    @Override
    public int deleteCmcPartnerByPartnerIds(String[] partnerIds)
    {
        return cmcPartnerMapper.deleteCmcPartnerByPartnerIds(partnerIds);
    }

    /**
     * 删除cmc合作单位信息
     * 
     * @param partnerId cmc合作单位主键
     * @return 结果
     */
    @Override
    public int deleteCmcPartnerByPartnerId(String partnerId)
    {
        return cmcPartnerMapper.deleteCmcPartnerByPartnerId(partnerId);
    }
}
